// Grayscale
//
// Copyright Outerspace Software, all rights reserved

string description = "Grayscale Filter";

float4x4	WorldViewProjection;
float4		DiffuseCol;


float4 Prop0
<
string UIName="Colour";
float UIMin=0;
float UIMax=1;
float3 UIDefault=float3(1,1,1);
int UISliders=3;
float UIScale=255;
bool UIInteger=true;
int UIWidget=2;
> = float4(0,0,0,0);


texture MyTexture0;
sampler MyTextureSampler0 = sampler_state{
    Texture   = (MyTexture0);
    AddressU  = CLAMP;
    AddressV  = CLAMP;
    MipFilter = LINEAR;
    MinFilter = LINEAR;
    MagFilter = LINEAR;
};

struct VS_INPUT{
	float4 position:	POSITION;
	float3 normal:		NORMAL;
	float3 diffuse:		COLOR;
	float2 tex:		TEXCOORD0;
};

struct VS_OUTPUT{
	float4 position:	POSITION;
	float2 tex:		TEXCOORD0;
};

struct PS_OUTPUT{
    float4 color:		COLOR;
};

VS_OUTPUT VS(VS_INPUT input){
	VS_OUTPUT output;	
	output.position = mul(input.position,WorldViewProjection);
	output.tex	= input.tex;
	return output;
}

PS_OUTPUT PS(VS_OUTPUT input){
	PS_OUTPUT output;
	float3 c=tex2D(MyTextureSampler0,input.tex.xy).xyz;
	float g=0.333*(c.x+c.y+c.z);
	output.color=g * Prop0 * DiffuseCol;
	return output;
}


technique Filter{
    pass p0{
	VertexShader = compile vs_2_0 VS();
        PixelShader  = compile ps_2_0 PS();
    }
}
